Method: networks.forecastAdjustments.calculateDailyAdOpportunityCounts

Calculates daily ad opportunity counts for a prospective ForecastAdjustment object.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/forecastAdjustments:calculateDailyAdOpportunityCounts

Path parameters

Parameters
parent

string

Required. The parent resource where this ForecastAdjustment will be calculated. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "forecastAdjustment": {
    object (ForecastAdjustment)
  }
}
Fields
forecastAdjustment

object (ForecastAdjustment)

Required. The prospective ForecastAdjustment to calculate daily ad opportunity counts for.

Response body

Response message for forecastAdjustments.calculateDailyAdOpportunityCounts method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "forecastAdjustment": {
    object (ForecastAdjustment)
  }
}
Fields
forecastAdjustment

object (ForecastAdjustment)

The ForecastAdjustment with its calculatedDailyAdOpportunityCounts populated.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.